Deployments
The Deployments service collection provides operations for querying deployment and release information. Retrieve deployment resources by ID, query release notes and releases, and search for release-note IDs using FQL filters.
| Language | Last Update |
|---|---|
| Python | v1.5.4 |
| PowerShell | v2.2.9 |
| Go | v0.20.0 |
| TypeScript | v0.6.0 |
| Rust | v0.7.0 |
| Ruby | v1.2.0 |
Table of Contents
Section titled “Table of Contents”| Operation | Description |
|---|---|
CombinedReleaseNotesV1query_release_notes | Queries for releases resources and returns details. |
CombinedReleasesV1Mixin0query_releases | Queries for releases resources and returns details. |
GetDeploymentsExternalV1get_deployments | Get deployment resources by IDs. |
GetEntityIDsByQueryPOSTget_release_notes_v1 | Returns the release notes for the IDs in the request. |
GetEntityIDsByQueryPOSTV2get_release_notes | Get entity IDs by query (v2). |
QueryReleaseNotesV1query_release_note_ids | Queries for release-notes resources and returns IDs. |
CombinedReleaseNotesV1
Section titled “CombinedReleaseNotesV1”Queries for release-notes resources and returns details.
GET /deployment-coordinator/combined/release-notes/v1
PEP 8
query_release_notesParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| Authorization | header | string | Authorization header. |
| filter | query | string | FQL query specifying filter parameters. |
| limit | query | integer | Maximum number of records to return. |
| offset | query | string | Starting pagination offset of records to return. |
| parameters | query | dictionary | Full query parameters payload as a dictionary, not required when using other keywords. |
| sort | query | string | Sort items by providing a comma separated list of property and direction (eg name.desc,time.asc). If direction is omitted, defaults to descending. |
Code Examples
Section titled “Code Examples”from falconpy import Deployments
falcon = Deployments(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.query_release_notes(filter="string", limit=integer, offset=integer, sort=["string"])print(response)from falconpy import Deployments
falcon = Deployments(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.CombinedReleaseNotesV1(filter="string", limit=integer, offset=integer, sort=["string"])print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.command("CombinedReleaseNotesV1", filter="string", limit=integer, offset="string", sort="string")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/release_notes")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
limit := int64(0) offset := "string" sort := "string"
response, err := client.ReleaseNotes.CombinedReleaseNotesV1( &release_notes.CombinedReleaseNotesV1Params{ Filter: "string", Limit: &limit, Offset: &offset, Sort: &sort, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.releaseNotes.combinedReleaseNotesV1( "string", // authorization "string", // xCSUSERNAME "string", // filter integer, // limit "string", // offset "string" // sort);
console.log(response);use rusty_falcon::apis::release_notes_api::combined_release_notes_v1;use rusty_falcon::easy::client::FalconHandle;
#[tokio::main]async fn main() { let falcon = FalconHandle::from_env().await.expect("Could not authenticate");
let response = combined_release_notes_v1( &falcon.cfg, // configuration "string", // authorization Some("string"), // x_cs_username Some("string"), // filter Some(integer), // limit Some("string"), // offset Some("string"), // sort ).await.expect("API call failed");
println!("{:?}", response);}require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::ReleaseNotes.new
response = api.combined_release_notes_v1('string')
puts responseCombinedReleasesV1Mixin0
Section titled “CombinedReleasesV1Mixin0”Queries for releases resources and returns details.
GET /deployment-coordinator/combined/releases/v1
PEP 8
query_releasesParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| Authorization | header | string | Authorization header. |
| filter | query | string | FQL query specifying filter parameters. |
| limit | query | integer | Maximum number of records to return. |
| offset | query | string | Starting pagination offset of records to return. |
| parameters | query | dictionary | Full query parameters payload as a dictionary, not required when using other keywords. |
| sort | query | string | Sort items by providing a comma separated list of property and direction (eg name.desc,time.asc). If direction is omitted, defaults to descending. |
Code Examples
Section titled “Code Examples”from falconpy import Deployments
falcon = Deployments(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.query_releases(filter="string", limit=integer, offset=integer, sort=["string"])print(response)from falconpy import Deployments
falcon = Deployments(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.CombinedReleasesV1Mixin0(filter="string", limit=integer, offset=integer, sort=["string"])print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.command("CombinedReleasesV1Mixin0", filter="string", limit=integer, offset="string", sort="string")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/releases")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
limit := int64(0) offset := "string" sort := "string"
response, err := client.Releases.CombinedReleasesV1Mixin0( &releases.CombinedReleasesV1Mixin0Params{ Filter: "string", Limit: &limit, Offset: &offset, Sort: &sort, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.releases.combinedReleasesV1Mixin0( "string", // authorization "string", // xCSUSERNAME "string", // filter integer, // limit "string", // offset "string" // sort);
console.log(response);use rusty_falcon::apis::releases_api::combined_releases_v1_mixin0;use rusty_falcon::easy::client::FalconHandle;
#[tokio::main]async fn main() { let falcon = FalconHandle::from_env().await.expect("Could not authenticate");
let response = combined_releases_v1_mixin0( &falcon.cfg, // configuration "string", // authorization Some("string"), // x_cs_username Some("string"), // filter Some(integer), // limit Some("string"), // offset Some("string"), // sort ).await.expect("API call failed");
println!("{:?}", response);}require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::Releases.new
response = api.combined_releases_v1_mixin0('string')
puts responseGetDeploymentsExternalV1
Section titled “GetDeploymentsExternalV1”Get deployment resources by IDs.
GET /deployment-coordinator/entities/deployments/external/v1
PEP 8
get_deploymentsParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| ids | query | array (string) | Release version ids to retrieve deployment details. |
| parameters | query | dictionary | Full query parameters payload as a dictionary, not required when using other keywords. |
Code Examples
Section titled “Code Examples”from falconpy import Deployments
falcon = Deployments(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_deployments(ids=id_list)print(response)from falconpy import Deployments
falcon = Deployments(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.GetDeploymentsExternalV1(ids=id_list)print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.command("GetDeploymentsExternalV1", ids=id_list)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/deployments")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.Deployments.GetDeploymentsExternalV1( &deployments.GetDeploymentsExternalV1Params{ Ids: []string{"ID1", "ID2", "ID3"}, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.deployments.getDeploymentsExternalV1( "string", // authorization ["ID1", "ID2", "ID3"], // ids "string" // xCSUSERNAME);
console.log(response);use rusty_falcon::apis::deployments_api::get_deployments_external_v1;use rusty_falcon::easy::client::FalconHandle;
#[tokio::main]async fn main() { let falcon = FalconHandle::from_env().await.expect("Could not authenticate");
let response = get_deployments_external_v1( &falcon.cfg, // configuration "string", // authorization vec!["string".to_string()], // ids Some("string"), // x_cs_username ).await.expect("API call failed");
println!("{:?}", response);}require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::Deployments.new
response = api.get_deployments_external_v1('string', ['ID1', 'ID2', 'ID3'])
puts responseGetEntityIDsByQueryPOST
Section titled “GetEntityIDsByQueryPOST”Returns the release notes for the IDs in the request.
POST /deployment-coordinator/entities/release-notes/GET/v1
PEP 8
get_release_notes_v1Parameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| body | body | dictionary | Full body payload provided as a dictionary. |
| ids | body | string or list of strings | Full body payload provided as a dictionary. |
Code Examples
Section titled “Code Examples”from falconpy import Deployments
falcon = Deployments(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_release_notes_v1(ids=id_list)print(response)from falconpy import Deployments
falcon = Deployments(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.GetEntityIDsByQueryPOST(ids=id_list)print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
body_payload = { "ids": ["string"]}
response = falcon.command("GetEntityIDsByQueryPOST", body=body_payload)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/release_notes" "github.com/crowdstrike/gofalcon/falcon/models")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.ReleaseNotes.GetEntityIDsByQueryPOST( &release_notes.GetEntityIDsByQueryPOSTParams{ Body: &models.ReleasenotesEntitiesGetRequest{ Ids: []string{"string"}, }, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.releaseNotes.getEntityIDsByQueryPOST( "string", // authorization { // body IDs: [] }, "string" // xCSUSERNAME);
console.log(response);use rusty_falcon::apis::release_notes_api::get_entity_ids_by_query_post;use rusty_falcon::easy::client::FalconHandle;use rusty_falcon::models::ReleasenotesEntitiesGetRequest;
#[tokio::main]async fn main() { let falcon = FalconHandle::from_env().await.expect("Could not authenticate");
let body = ReleasenotesEntitiesGetRequest { i_ds: vec!["string".to_string()], ..Default::default() };
let response = get_entity_ids_by_query_post( &falcon.cfg, // configuration "string", // authorization body, // body Some("string"), // x_cs_username ).await.expect("API call failed");
println!("{:?}", response);}require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::ReleaseNotes.new
body = Falcon::ReleasenotesEntitiesGetRequest.new( IDs: [])
response = api.get_entity_ids_by_query_post(body, 'string')
puts responseGetEntityIDsByQueryPOSTV2
Section titled “GetEntityIDsByQueryPOSTV2”Return the release notes for the IDs in the request.
POST /fdr/entities/release-notes/GET/v2
PEP 8
get_release_notesParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| body | body | dictionary | Full body payload in JSON format. |
| ids | body | string or list of strings | Release note IDs to be retrieved. |
Code Examples
Section titled “Code Examples”from falconpy import Deployments
falcon = Deployments(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_release_notes(ids=id_list)print(response)from falconpy import Deployments
falcon = Deployments(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.GetEntityIDsByQueryPOSTV2(ids=id_list)print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
body_payload = { "ids": ["string"]}
response = falcon.command("GetEntityIDsByQueryPOSTV2", body=body_payload)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/release_notes" "github.com/crowdstrike/gofalcon/falcon/models")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.ReleaseNotes.GetEntityIDsByQueryPOSTV2( &release_notes.GetEntityIDsByQueryPOSTV2Params{ Body: &models.ReleasenotesEntitiesGetRequest{ Ids: []string{"string"}, }, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.releaseNotes.getEntityIDsByQueryPOSTV2( "string", // authorization { // body IDs: [] }, "string" // xCSUSERNAME);
console.log(response);use rusty_falcon::apis::release_notes_api::get_entity_ids_by_query_postv2;use rusty_falcon::easy::client::FalconHandle;use rusty_falcon::models::ReleasenotesEntitiesGetRequest;
#[tokio::main]async fn main() { let falcon = FalconHandle::from_env().await.expect("Could not authenticate");
let body = ReleasenotesEntitiesGetRequest { i_ds: vec!["string".to_string()], ..Default::default() };
let response = get_entity_ids_by_query_postv2( &falcon.cfg, // configuration "string", // authorization body, // body Some("string"), // x_cs_username ).await.expect("API call failed");
println!("{:?}", response);}require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::ReleaseNotes.new
body = Falcon::ReleasenotesEntitiesGetRequest.new( IDs: [])
response = api.get_entity_ids_by_query_postv2(body, 'string')
puts responseQueryReleaseNotesV1
Section titled “QueryReleaseNotesV1”Queries for release-notes resources and returns IDs.
GET /deployment-coordinator/queries/release-notes/v1
PEP 8
query_release_note_idsParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| Authorization | header | string | Authorization header. |
| filter | query | string | FQL query specifying filter parameters. |
| limit | query | integer | Maximum number of records to return. |
| offset | query | string | Starting pagination offset of records to return. |
| parameters | query | dictionary | Full query parameters payload as a dictionary, not required when using other keywords. |
| sort | query | string | Sort items by providing a comma separated list of property and direction (eg name.desc,time.asc). If direction is omitted, defaults to descending. |
Code Examples
Section titled “Code Examples”from falconpy import Deployments
falcon = Deployments(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.query_release_note_ids(filter="string", limit=integer, offset=integer, sort=["string"])print(response)from falconpy import Deployments
falcon = Deployments(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.QueryReleaseNotesV1(filter="string", limit=integer, offset=integer, sort=["string"])print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.command("QueryReleaseNotesV1", filter="string", limit=integer, offset="string", sort="string")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/release_notes")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
limit := int64(0) offset := "string" sort := "string"
response, err := client.ReleaseNotes.QueryReleaseNotesV1( &release_notes.QueryReleaseNotesV1Params{ Filter: "string", Limit: &limit, Offset: &offset, Sort: &sort, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.releaseNotes.queryReleaseNotesV1( "string", // authorization "string", // xCSUSERNAME "string", // filter integer, // limit "string", // offset "string" // sort);
console.log(response);use rusty_falcon::apis::release_notes_api::query_release_notes_v1;use rusty_falcon::easy::client::FalconHandle;
#[tokio::main]async fn main() { let falcon = FalconHandle::from_env().await.expect("Could not authenticate");
let response = query_release_notes_v1( &falcon.cfg, // configuration "string", // authorization Some("string"), // x_cs_username Some("string"), // filter Some(integer), // limit Some("string"), // offset Some("string"), // sort ).await.expect("API call failed");
println!("{:?}", response);}require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::ReleaseNotes.new
response = api.query_release_notes_v1('string')
puts response